=== debian/changelog ===
hol88 (2.02.19940316-19) unstable; urgency=low

  * build against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 16 Nov 2013 18:01:29 +0000

hol88 (2.02.19940316-18) unstable; urgency=low

  * build against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 12 Oct 2013 14:23:29 +0000

hol88 (2.02.19940316-17) unstable; urgency=low

  * build against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 24 Sep 2013 18:57:50 +0000

hol88 (2.02.19940316-16) unstable; urgency=low

  * build against latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 07 Aug 2013 21:26:12 +0000

hol88 (2.02.19940316-15) unstable; urgency=low

  * lintian fixes
  * 3.0 quilt source format

 -- Camm Maguire <camm@debian.org>  Wed, 11 Apr 2012 18:43:47 +0000

hol88 (2.02.19940316-14) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 17 Jan 2012 19:45:44 +0000

hol88 (2.02.19940316-13) unstable; urgency=low

  * build depend on latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 05 Nov 2010 16:09:55 +0000

hol88 (2.02.19940316-12) unstable; urgency=low

  * remove stray raw_*_map files

 -- Camm Maguire <camm@debian.org>  Thu, 21 Oct 2010 19:59:51 +0000

hol88 (2.02.19940316-11) unstable; urgency=low

  * build-dep on latest gcl
  * Bug fix: "[mips] empty package", thanks to Jakub Wilk (Closes:
    #597140).
  * Bug fix: "FTBFS on mipsel: Unrecoverable error: Segmentation
    violation..", thanks to Cyril Brulebois (Closes: #599986).
  * Bug fix: "FTBFS on hppa: /bin/sh: ././raw_hol_map: Permission denied",
    thanks to Cyril Brulebois (Closes: #599987).

 -- Camm Maguire <camm@debian.org>  Thu, 21 Oct 2010 14:34:13 +0000

hol88 (2.02.19940316-10) unstable; urgency=low

  * rebuild against newest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 25 Sep 2010 15:19:33 +0000

hol88 (2.02.19940316-9) unstable; urgency=low

  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553782).
  * Bug fix: "hol88 crashes with segfault", thanks to Benedikt Ahrens
    (Closes: #508908).

 -- Camm Maguire <camm@debian.org>  Sun, 03 Jan 2010 20:48:22 +0000

hol88 (2.02.19940316-8) unstable; urgency=low

  * Bug fix: "FTBFS: LaTeX Error: \begin{document} ended by
    \end{theindex}", thanks to Chris Lamb (Closes: #484983).
  * Bug fix: "hol88: bashism in debian/rules", thanks to Raphael Geissert
    (Closes: #477583).

 -- Camm Maguire <camm@sacrifice.m.enhanced.com>  Sat, 02 Aug 2008 13:23:41 +0000

hol88 (2.02.19940316-7) unstable; urgency=low

  * Bug fix: "hol88: empty package on arm", thanks to Niko Tyni (Closes:
    #448843). Rebuild against latest gcl

 -- Camm Maguire <camm@enhanced.com>  Mon, 03 Dec 2007 09:18:22 -0500

hol88 (2.02.19940316-6) unstable; urgency=low

  * build-depend on texlive-latex-base
  * Bug fix: "hol88: package content changed if build twice or more times
    in a row", thanks to Patrick Winnertz (Closes: #441710). preserve
    debian/site_ml_orig
  * Bug fix: "hol88: dangling symlinks", thanks to Ian Zimmerman (Closes:
    #442282). write absolute paths in first entry in links files

 -- Camm Maguire <camm@enhanced.com>  Wed, 24 Oct 2007 14:01:30 -0400

hol88 (2.02.19940316-5) unstable; urgency=low

  * Fix patch mechanism for non native relocs

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Dec 2006 10:39:08 -0500

hol88 (2.02.19940316-4) unstable; urgency=low

  * Proper build deps for non-native-reloc arches

 -- Camm Maguire <camm@enhanced.com>  Sat,  2 Dec 2006 23:28:42 -0500

hol88 (2.02.19940316-3) unstable; urgency=low

  * Fix native-reloc target, Closes: #401321

 -- Camm Maguire <camm@enhanced.com>  Sat,  2 Dec 2006 17:58:39 -0500

hol88 (2.02.19940316-2) unstable; urgency=low

  * redefine ml-save to use si::save-system, and si::*top-level-hook*.
    Fixes amd64 and sparc builds
  * patch Makefile and make-user-init function (from gcl cvs head) to
    support build on systems without native object relocation. Closes:
    #400063.

 -- Camm Maguire <camm@enhanced.com>  Tue, 28 Nov 2006 16:30:04 -0500

hol88 (2.02.19940316-1) unstable; urgency=low

  * Initial release

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Oct 2006 13:36:15 -0400
