=== debian/control ===
Source: hol88
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper (>= 9), gcl (>= 2.6.10-1), texlive-latex-base, libgmp3-dev, libreadline-dev, libxmu-dev, libxaw7-dev
Standards-Version: 3.9.4

Package: hol88
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Higher Order Logic, system image
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-source
Architecture: all
Depends: ${misc:Depends}
Description: Higher Order Logic, source files
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-help
Architecture: all
Depends: ${misc:Depends}
Description: Higher Order Logic, online help files
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-library
Architecture: any
Depends: ${misc:Depends}
Description: Higher Order Logic, binary library modules
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-library-source
Architecture: all
Depends: ${misc:Depends}
Description: Higher Order Logic, library source files
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-library-help
Architecture: all
Depends: ${misc:Depends}
Description: Higher Order Logic, library online help files
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-contrib-source
Architecture: all
Depends: ${misc:Depends}
Description: Higher Order Logic, user contributed source
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-contrib-help
Architecture: all
Depends: ${misc:Depends}
Description: Higher Order Logic, user contributed online help files
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.

Package: hol88-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for hol88
 The HOL System is an environment for interactive theorem proving in a
 higher-order logic. Its most outstanding feature is its high degree
 of programmability through the meta-language ML. The system has a
 wide variety of uses from formalizing pure mathematics to
 verification of industrial hardware. Academic and industrial sites
 world-wide are using HOL.
